CatalinaCluster (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.CatalinaCluster interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha
Interface CatalinaCluster

All Superinterfaces:
  Cluster

All Known Implementing Classes:
  SimpleTcpCluster

    public interface CatalinaCluster

extends Cluster

A CatalinaCluster interface allows to plug in and out the different cluster implementations

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik

Field Summary
`static java.lang.String` | `info` Descriptive information about this component implementation.

Method Summary
`void` | `addClusterListener(ClusterListener listener)`
`void` | `addValve(Valve valve)`
`Channel` | `getChannel()`
`ClusterDeployer` | `getClusterDeployer()`
`Member` | `getLocalMember()` Return the member that represents this node.
`Log` | `getLogger()` Returns the associates logger with this cluster.
`Manager` | `getManager(java.lang.String name)`
`java.lang.String` | `getManagerName(java.lang.String name, Manager manager)`
`java.util.Map` | `getManagers()`
`Member[]` | `getMembers()` Returns all the members currently participating in the cluster.
`Valve[]` | `getValves()`
`boolean` | `hasMembers()` Returns that cluster has members.
`void` | `removeClusterListener(ClusterListener listener)`
`void` | `send(ClusterMessage msg)` Sends a message to all the members in the cluster
`void` | `send(ClusterMessage msg, Member dest)` Sends a message to a specific member in the cluster.
`void` | `sendClusterDomain(ClusterMessage msg)` Sends a message to a all members at local cluster domain
`void` | `setChannel(Channel channel)`
`void` | `setClusterDeployer(ClusterDeployer deployer)`
`void` | `start()` Start the cluster, the owning container will invoke this
`void` | `stop()` Stops the cluster, the owning container will invoke this

Methods inherited from interface org.apache.catalina.Cluster
`backgroundProcess, createManager, getClusterName, getContainer, getInfo, getProtocol, registerManager, removeManager, setClusterName, setContainer, setProtocol`

Field Detail

### info

    static final java.lang.String info

  Descriptive information about this component implementation.

  See Also:
    Constant Field Values

Method Detail

### start

    void start()
               throws java.lang.Exception

  Start the cluster, the owning container will invoke this

  Throws:
    `java.lang.Exception` - - if failure to start cluster

### stop

    void stop()
              throws LifecycleException

  Stops the cluster, the owning container will invoke this

  Throws:
    `LifecycleException`

### getLogger

    Log getLogger()

  Returns the associates logger with this cluster.

  Returns:
    Log

### send

    void send(ClusterMessage msg)

  Sends a message to all the members in the cluster

  Parameters:
    `msg` - ClusterMessage

### send

    void send(ClusterMessage msg,
              Member dest)

  Sends a message to a specific member in the cluster.

  Parameters:
    `msg` - ClusterMessage
    `dest` - Member

### sendClusterDomain

    void sendClusterDomain(ClusterMessage msg)

  Sends a message to a all members at local cluster domain

  Parameters:
    `msg` - ClusterMessage

### hasMembers

    boolean hasMembers()

  Returns that cluster has members.

### getMembers

    Member[] getMembers()

  Returns all the members currently participating in the cluster.

  Returns:
    Member[]

### getLocalMember

    Member getLocalMember()

  Return the member that represents this node.

  Returns:
    Member

### addValve

    void addValve(Valve valve)

### addClusterListener

    void addClusterListener(ClusterListener listener)

### removeClusterListener

    void removeClusterListener(ClusterListener listener)

### setClusterDeployer

    void setClusterDeployer(ClusterDeployer deployer)

### getClusterDeployer

    ClusterDeployer getClusterDeployer()

### getManagers

    java.util.Map getManagers()

  Returns:
    The map of managers

### getManager

    Manager getManager(java.lang.String name)

### getManagerName

    java.lang.String getManagerName(java.lang.String name,
                                    Manager manager)

### getValves

    Valve[] getValves()

### setChannel

    void setChannel(Channel channel)

### getChannel

    Channel getChannel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.